Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.servlet
Class PortalServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.portal.server.servlet.PortalServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class PortalServlet

extends javax.servlet.http.HttpServlet

The main servlet of the portal. This servlet must be properly configured with the servlet mapping style it is mapped.

Version:
  $Revision: 11068 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`protected org.apache.log4j.Logger` | `log` The logger.

Constructor Summary
`PortalServlet()`

Method Summary
`protected boolean` | `getAsDefaultServletInitValue()` Return the value for the servlet mapping.
`protected RequestControllerFactory` | `getControllerFactory()`
`protected org.jboss.portal.common.invocation.InterceptorStackFactory` | `getInterceptorStackFactory()`
`protected Server` | `getServer()`
`void` | `init()` Configure the as default servlet.
`protected void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Logger log

  The logger.

Constructor Detail

### PortalServlet

    public PortalServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Configure the as default servlet.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### getServer

    protected final Server getServer()

### getInterceptorStackFactory

    protected final org.jboss.portal.common.invocation.InterceptorStackFactory getInterceptorStackFactory()

### getControllerFactory

    protected final RequestControllerFactory getControllerFactory()

### service

    protected void service(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse resp)
                    throws javax.servlet.ServletException,
                           java.io.IOException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getAsDefaultServletInitValue

    protected boolean getAsDefaultServletInitValue()

  Return the value for the servlet mapping. This implementation get the value from an init parameter of the servlet called asDefaultServlet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD